Bug 746499 - soprano-virtuoso.log becoming *huge* > 10GB
Summary: soprano-virtuoso.log becoming *huge* > 10GB
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virtuoso-opensource
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-16 15:45 UTC by Terje Røsten
Modified: 2011-12-05 00:25 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-11-19 23:30:46 UTC


Attachments (Terms of Use)

Description Terje Røsten 2011-10-16 15:45:04 UTC
Description of problem:

I don't know if soprano is the correct components,  however several times the  file

 ~/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.log

has become *very* huge, in fact over 12GB. The added content is rather boring:
 
12:06:37 Reference to page with free remap dp = 1188, remap = 1188

(with the timestamp changing of course).

The line is repeated 180806 times each second, so the file grows *fast*.

This is good for file server benchmarks or something similar,  however a disaster for
file server performance and backup applications.

I have my doubts in the value of such logging, please consider to disable it.

Thanks in advance.

Versions;

 soprano-2.6.0-2.fc15.x86_64

Comment 1 Rex Dieter 2011-10-21 12:25:13 UTC
Oops, looks like we missed disabling some debug output, fixed soprano-2.6.0-3 builds on the way...

Comment 2 Rex Dieter 2011-10-21 13:20:26 UTC
Secondarily, those errors you see seem to be coming from soprano's virtuoso-opensource db backend.  One initial guess would be that your db is corrupted somehow, especially if this same ~/.kde was imported from previous versions of fedora/kde.

I'm looking into implementing some sort of log rate-limiting, but in the meantime, you might want to consider renaming/backup anything that matches
~/.kde/share/apps/nepomuk/
~/.kde/share/config/nepomuk*
preferably when not logged into kde or at least when nepomuk is enabled and running, and then restarting your kde session.

Comment 3 Rex Dieter 2011-10-21 14:22:04 UTC
Fwiw, here's the feedback I got from upstream virtuoso-opensource-users mailing list:

We're looking into reducing log output in case of these repeated 
messages. The fix is currently scheduled for VOS 6.1.4
...

The message itself may indicate database corruption. If you receive a 
lot of them, it is time to either regenerate, restore from backup, or, 
as a last resort, perform a crash dump/restore on the db, as documented 
in http://docs.openlinksw.com/virtuoso/backup.html

Comment 4 Fedora Update System 2011-10-21 14:24:37 UTC
soprano-2.6.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/soprano-2.6.0-3.fc15

Comment 5 Fedora Update System 2011-10-21 14:26:25 UTC
soprano-2.7.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/soprano-2.7.2-1.fc16

Comment 6 Fedora Update System 2011-10-25 03:36:49 UTC
soprano-2.7.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-04 12:45:36 UTC
virtuoso-opensource-6.1.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/virtuoso-opensource-6.1.4-2.fc16

Comment 8 Fedora Update System 2011-11-04 12:48:24 UTC
virtuoso-opensource-6.1.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/virtuoso-opensource-6.1.4-2.fc15

Comment 9 Fedora Update System 2011-11-04 21:48:22 UTC
Package virtuoso-opensource-6.1.4-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virtuoso-opensource-6.1.4-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15428
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-11-07 12:52:51 UTC
virtuoso-opensource-6.1.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/virtuoso-opensource-6.1.4-2.fc14

Comment 11 Fedora Update System 2011-11-12 03:27:08 UTC
soprano-2.6.0-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-11-19 23:30:46 UTC
virtuoso-opensource-6.1.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-11-26 23:09:03 UTC
virtuoso-opensource-6.1.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-12-05 00:25:42 UTC
virtuoso-opensource-6.1.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.